"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.logout = void 0;
const configuration_1 = __importDefault(require("../configuration"));
const utils_1 = require("../utils");
async function logout() {
    try {
        if (await (0, utils_1.fileExists)(configuration_1.default.configFilePath)) {
            const jwtToken = await (0, utils_1.readFromJsonFile)("jwtToken", configuration_1.default.configFilePath);
            if (jwtToken) {
                await (0, utils_1.deleteKeyFromJson)("jwtToken", configuration_1.default.configFilePath);
            }
        }
        console.log("Logged out!");
    }
    catch (error) {
        console.log(`✖️  Error: ${error.message}`);
    }
}
exports.logout = logout;
