"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const wait_1 = __importDefault(require("./wait"));
const chalk = require("chalk");
class Spinner {
    constructor() {
        this.spin = (message, delay = 300, type) => {
            if (this._spinner) {
                this._spinner.text = message;
            }
            else {
                this._spinner = (0, wait_1.default)({
                    text: message,
                    spinner: type ? type : "dots",
                }, delay);
            }
        };
        this.stop = () => {
            if (this._spinner) {
                this._spinner();
                this._spinner = null;
            }
        };
        this.success = (str) => {
            console.log(`\n${chalk.green("✓")}${chalk.cyan(` Success!`)} ${str}`);
        };
        this._spinner = null;
    }
}
exports.default = Spinner;
